MODE CON COLS=120 LINES=50
ECHO OFF
color 1f
clS
SETLOCAL ENABLEEXTENSIONS
set _SCRIPT_DRIVE=%~Ds0
set _SCRIPT_PATH=%~Ps0
ECHO =========================================================
ECHO         NPS Desktop Background Update     05/04/16     
ECHO =========================================================

:check_Permissions 
echo Detecting permissions...

net session >nul 2>&1
if %errorLevel% == 0 (
      echo OK.
      ECHO =========================================================
) else (
      ECHO.
      ECHO          Administrative Permissions Required. 
      ECHO.           
      ECHO           Error: Please Run As Administrator.
      ECHO.
      ECHO          ie Right-Click 'Run as Administrator'
      ECHO.
      ECHO =========================================================
      goto end
)

ver | find "XP" > nul
if %ERRORLEVEL% == 0 goto ver_xp

if not exist %SystemRoot%\system32\systeminfo.exe goto warnthenexit

systeminfo | find "OS Name" > %TEMP%\osname.txt
FOR /F "usebackq delims=: tokens=2" %%i in (%TEMP%\osname.txt) DO Set vers=%%i

echo %vers% | find "Windows 7" > nul
if %ERRORLEVEL% == 0 goto ver_7

echo %vers% | find "Windows Vista" > nul
if %ERRORLEVEL% == 0 goto ver_vista

echo %vers% | find "Windows 8.1" > nul
if %ERRORLEVEL% == 0 goto ver_81

echo %vers% | find "Windows 8" > nul
if %ERRORLEVEL% == 0 goto ver_8

echo %vers% | find "Windows 10" > nul
if %ERRORLEVEL% == 0 goto ver_10

goto warnthenexit

:ver_10
REM /-----------------------------------------------------------------------------------------\
REM |                                     W I N D O W S   10                                  |
REM \-----------------------------------------------------------------------------------------/
ECHO Windows 10
ECHO =========================================================
xcopy "%_SCRIPT_DRIVE%%_SCRIPT_PATH%Desktop\NPS.bmp" "%HOMEDRIVE%\Windows" /s /e /i /h /q /y
powershell.exe -ExecutionPolicy Bypass -Command "& '%_SCRIPT_DRIVE%%_SCRIPT_PATH%desktop\wallpaper10.ps1'"
goto exit

:ver_81
REM /-----------------------------------------------------------------------------------------\
REM |                                     W I N D O W S   8.1                                 |
REM \-----------------------------------------------------------------------------------------/
ECHO Windows 8.1
ECHO =========================================================
xcopy "%_SCRIPT_DRIVE%%_SCRIPT_PATH%Desktop\NPS.bmp" "%HOMEDRIVE%\Windows" /s /e /i /h /q /y
powershell.exe -ExecutionPolicy Bypass -Command "& '%_SCRIPT_DRIVE%%_SCRIPT_PATH%desktop\wallpaper10.ps1'"
goto exit


:ver_8
REM /-----------------------------------------------------------------------------------------\
REM |                                     W I N D O W S   8                                   |
REM \-----------------------------------------------------------------------------------------/
ECHO Windows 8
ECHO =========================================================
xcopy "%_SCRIPT_DRIVE%%_SCRIPT_PATH%Desktop\NPS.bmp" "%HOMEDRIVE%\Windows" /s /e /i /h /q /y
powershell.exe -ExecutionPolicy Bypass -Command "& '%_SCRIPT_DRIVE%%_SCRIPT_PATH%desktop\wallpaper10.ps1'"
goto exit



:ver_7
REM /-----------------------------------------------------------------------------------------\
REM |                                     W I N D O W S   7                                   |
REM \-----------------------------------------------------------------------------------------/
ECHO Windows 7
ECHO =========================================================
xcopy "%_SCRIPT_DRIVE%%_SCRIPT_PATH%Desktop\NPS.bmp" "%HOMEDRIVE%\Windows" /s /e /i /h /q /y
powershell.exe -ExecutionPolicy Bypass -Command "& '%_SCRIPT_DRIVE%%_SCRIPT_PATH%desktop\wallpaper7.ps1'"
goto exit

:ver_vista
REM /-----------------------------------------------------------------------------------------\
REM |                                     W I N D O W S   V I S T A                           |
REM \-----------------------------------------------------------------------------------------/
ECHO Windows Vista
ECHO =========================================================
xcopy "%_SCRIPT_DRIVE%%_SCRIPT_PATH%Desktop\NPS.bmp" "%HOMEDRIVE%\Windows" /s /e /i /h /q /y
powershell.exe -ExecutionPolicy Bypass -Command "& '%_SCRIPT_DRIVE%%_SCRIPT_PATH%desktop\wallpapervista.ps1'"
goto exit


:ver_xp
REM /-----------------------------------------------------------------------------------------\
REM |                                     W I N D O W S   X P                                 |
REM \-----------------------------------------------------------------------------------------/
ECHO Windows XP
ECHO =========================================================
xcopy "%_SCRIPT_DRIVE%%_SCRIPT_PATH%Desktop\NPS.bmp" "%HOMEDRIVE%\Windows" /s /e /i /h /q /y
%SystemRoot%\System32\Rundll32.exe user32.dll, UpdatePerUserSystemParameters
goto exit

:warnthenexit
REM /-----------------------------------------------------------------------------------------\
REM |                                     Machine undetermined                                |
REM \-----------------------------------------------------------------------------------------/
ECHO ++ Machine undetermined (%vers%).
goto exit


:exit
REM /-----------------------------------------------------------------------------------------\
REM |                                          E X I T                                        |
REM \-----------------------------------------------------------------------------------------/
ECHO =========================================================
ECHO             That's All Folks!, it's done.                               
ECHO =========================================================
EndLocal
:end
pause
@ECHO ON

Echo Done.
